Bug 138722 - net-im/psi (and qt) doesn't find firefox3
Summary: net-im/psi (and qt) doesn't find firefox3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-11 03:40 UTC by marka
Modified: 2009-09-15 20:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description marka 2009-09-11 03:40:01 UTC
	With firefox (not firefox3 or firefox35) no longer being
	supported by the ports PSI (and anything that depends on
	Qt4 gui) no longer launchs urls.

Fix: 

Upgrade PSI to allow the brower to be specified.

	Upgrade Qt to allow the browser to be specified.

	Patch QT to look for "firefox3" and/or "firefox35" in
	addition to "firefox".

	Create a firefox wrapper.
How-To-Repeat: 
	Install psi and attempt to click on a url in a chat window.
Comment 1 Martin Wilke freebsd_committer 2009-09-11 05:53:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Over to maintainer.
Comment 2 Max Brazhnikov freebsd_committer 2009-09-14 20:26:52 UTC
State Changed
From-To: open->feedback

Can be a missing dependency on devel/xdg-utils. Could you install it and 
try again?
Comment 3 dfilter service freebsd_committer 2009-09-15 20:31:01 UTC
makc        2009-09-15 19:30:47 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/qt4-gui Makefile 
  Log:
  - add dependency on devel/xdg-utils to improve usability under non-KDE/GNOME [1]
  - add dependency on basic set of TrueType fonts [2]
  - minor clean-ups
  - bump PORTREVISION
  
  PR:             ports/138722 [1]
  Reported by:    Mark Andrews [1], bsam via #bsdports [2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.27      +12 -3     ports/x11-toolkits/qt4-gui/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2009-09-15 20:35:55 UTC
State Changed
From-To: feedback->closed

Resolved, fix commited to x11-toolkits/qt4-gui